use super::Pfloat;
use cgmath::{Angle, Deg, EuclideanSpace, Point2};

#[derive(Debug, Clone, Copy)]
pub struct Polar {
	pub center: Point2<Pfloat>,
	pub radius: Pfloat,
	pub angle: Deg<Pfloat>,
}

impl Polar {
	pub fn to_cartesian(self) -> Point2<Pfloat> {
		return Point2 {
			x: self.radius * self.angle.sin(),
			y: self.radius * self.angle.cos(),
		} + self.center.to_vec();
	}
}
